id: vnf_galleries
migration_group: vnf
label: 'Galleries migration'
source:
  plugin: galleries
  key: migrate
  constants:
    uid: 2
process:
  type:
    plugin: default_value
    default_value: gallery
  title: title
  body/value: content
  body/format:
    plugin: default_value
    default_value: basic_html

  field_gallery_image:
    plugin: sub_process
    source: images
    process:
      target_id:
        plugin: migration_lookup
        migration: vnf_gallery_images
        no_stub: true
        source: fid

  path/pathauto:
    plugin: default_value
    default_value: 0

  'path/alias': alias

  uid: constants/uid
  created: timestamp
  changed: timestamp
destination:
  plugin: 'entity:node'
migration_dependencies:
  required: {  }
  optional: {  }
